MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025227Open CASCADE[OCCT] OCCT:Visualizationpublic2014-09-09 19:342014-11-11 13:02
Reporterdbp 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025227: Visualization - optimize BVH binned builder
DescriptionBVH binned builder is used for different rendering aspects, such as view frustum culling, ray-tracing, and (in future) for selection. It is desirable to improve builder performance.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025159closedbugmaster Collections and common types in BVH package are named in non-conformant manner 
related to 0025234closedbugmaster Implementing LBVH builder 

-  Notes
(0031529)
git (administrator)
2014-09-09 19:39

Branch CR25227 has been created by dbp.

SHA-1: 5ef2789c3da5f6aba9f8d54a49b9e006e4a06964


Detailed log of new commits:

Author: dbp
Date: Tue Sep 9 19:39:06 2014 +0400

    Initial improvement of BVH binned builder: +31%.
(0031549)
git (administrator)
2014-09-10 12:34

Branch CR25227 has been updated by dbp.

SHA-1: e4762083d3d2ccb58152954306216e6e12826deb


Detailed log of new commits:

Author: dbp
Date: Wed Sep 10 12:34:04 2014 +0400

    Eliminate std::floor.

(0031550)
git (administrator)
2014-09-10 12:39

Branch CR25227_1 has been created by dbp.

SHA-1: 788916a3b0beb4567bf9c6110441d4c00eff08b4


Detailed log of new commits:

Author: dbp
Date: Wed Sep 10 12:37:14 2014 +0400

    0025227: Visualization - optimize BVH binned builder
    BVH binned builder is used for different rendering aspects, such as view frustum culling, ray-tracing, and (in future) for selection. It is desirable to improve builder performance. This simple patch decreases BVH building time for 30-35%.
(0031551)
dbp (developer)
2014-09-10 12:39

Dear kgv,

please review the patch in branch CR25227_1.
(0031610)
git (administrator)
2014-09-11 13:38

Branch CR25227_1 has been updated by dbp.

SHA-1: d31ad4d192e52da61a18ece2014e2e3d78d974f6


Detailed log of new commits:

Author: dbp
Date: Thu Sep 11 13:37:48 2014 +0400

    Cosmetics.

(0031995)
abv (manager)
2014-09-23 13:11

Please use namespace BVH instead of "BVHTools" for classes defined in BVH package (unless there is some reason to not use BVH name). Apart of this, I have no remarks, just please rebase your patch into single commit on current master for easier integration
(0032072)
git (administrator)
2014-09-24 12:03

Branch CR25227_2 has been created by dbp.

SHA-1: 7a79b05a74151cf8d2f557387ba7485beae6573a


Detailed log of new commits:

Author: dbp
Date: Wed Sep 24 12:03:22 2014 +0400

    0025227: Visualization - optimize BVH binned builder
    BVH binned builder is used for different rendering aspects, such as view frustum culling, ray-tracing, and (in future) for selection. It is desirable to improve builder performance. This simple patch decreases BVH building time for 30-35%.
(0032073)
dbp (developer)
2014-09-24 12:05

Dear abv,

please review the patch in branch CR25227_2.
(0032543)
abv (manager)
2014-10-01 20:11

Reviewed along with 0025159, to be tested together (CR25159_1)
(0032780)
apv (tester)
2014-10-07 16:37

Tested in frame of issue 0025159
(0033476)
git (administrator)
2014-10-21 16:44

Branch CR25227_2 has been deleted by inv.

SHA-1: 7a79b05a74151cf8d2f557387ba7485beae6573a
(0033485)
git (administrator)
2014-10-21 16:45

Branch CR25227_1 has been deleted by inv.

SHA-1: d31ad4d192e52da61a18ece2014e2e3d78d974f6
(0033486)
git (administrator)
2014-10-21 16:45

Branch CR25227 has been deleted by inv.

SHA-1: e4762083d3d2ccb58152954306216e6e12826deb

- Related Changesets
occt: master 3a7a7013
Timestamp: 2014-09-24 08:03:22
Author: dbp
Committer: bugmaster
Details ] Diff ]
0025227: Visualization - optimize BVH binned builder
BVH binned builder is used for different rendering aspects, such as view frustum culling, ray-tracing, and (in future) for selection. It is desirable to improve builder performance. This simple patch decreases BVH building time for 30-35%.
mod - src/BVH/BVH_BinnedBuilder.lxx Diff ] File ]
mod - src/BVH/BVH_Box.hxx Diff ] File ]
mod - src/BVH/BVH_Box.lxx Diff ] File ]
mod - src/BVH/BVH_ObjectSet.lxx Diff ] File ]
mod - src/BVH/BVH_Properties.hxx Diff ] File ]
mod - src/BVH/BVH_Properties.lxx Diff ] File ]
mod - src/BVH/BVH_SweepPlaneBuilder.lxx Diff ] File ]
mod - src/BVH/BVH_Tree.hxx Diff ] File ]
mod - src/BVH/BVH_Tree.lxx Diff ] File ]
mod - src/BVH/BVH_Triangulation.hxx Diff ] File ]
mod - src/BVH/BVH_Triangulation.lxx Diff ] File ]
mod - src/BVH/BVH_Types.hxx Diff ] File ]
mod - src/BVH/BVH_Types.lxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-09 19:34 dbp New Issue
2014-09-09 19:34 dbp Assigned To => dbp
2014-09-09 19:39 git Note Added: 0031529
2014-09-10 08:17 kgv Severity minor => feature
2014-09-10 08:17 kgv Status new => assigned
2014-09-10 08:17 kgv Product Version Unscheduled =>
2014-09-10 08:17 kgv Target Version => 6.8.0
2014-09-10 08:17 kgv Summary Visualization: Optimize BVH binned builder => Visualization - optimize BVH binned builder
2014-09-10 12:34 git Note Added: 0031549
2014-09-10 12:39 git Note Added: 0031550
2014-09-10 12:39 dbp Note Added: 0031551
2014-09-10 12:39 dbp Assigned To dbp => kgv
2014-09-10 12:39 dbp Status assigned => resolved
2014-09-11 13:38 git Note Added: 0031610
2014-09-23 13:11 abv Note Added: 0031995
2014-09-23 13:11 abv Assigned To kgv => duv
2014-09-23 13:11 abv Status resolved => assigned
2014-09-23 13:24 duv Assigned To duv => dbp
2014-09-23 16:52 abv Relationship added related to 0025234
2014-09-24 12:03 git Note Added: 0032072
2014-09-24 12:05 dbp Note Added: 0032073
2014-09-24 12:05 dbp Assigned To dbp => abv
2014-09-24 12:05 dbp Status assigned => resolved
2014-10-01 20:11 abv Note Added: 0032543
2014-10-01 20:11 abv Assigned To abv => bugmaster
2014-10-01 20:11 abv Status resolved => reviewed
2014-10-01 20:12 abv Relationship added related to 0025159
2014-10-02 16:11 apv Assigned To bugmaster => apv
2014-10-07 16:34 apv Test case number => Not needed
2014-10-07 16:37 apv Note Added: 0032780
2014-10-07 16:37 apv Assigned To apv => bugmaster
2014-10-07 16:37 apv Status reviewed => tested
2014-10-13 17:52 bugmaster Changeset attached => occt master 3a7a7013
2014-10-13 17:52 bugmaster Status tested => verified
2014-10-13 17:52 bugmaster Resolution open => fixed
2014-10-21 16:44 git Note Added: 0033476
2014-10-21 16:45 git Note Added: 0033485
2014-10-21 16:45 git Note Added: 0033486
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker